# -*- coding: utf-8 -*-
from __future__ import unicode_literals

import django.utils.timezone
from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        ('content', '0002_auto_20150823_2232'),
    ]

    operations = [
        migrations.AddField(
            model_name='page',
            name='date_created',
            field=models.DateTimeField(default=django.utils.timezone.now,
                                       verbose_name='first created at',
                                       editable=False, db_index=True),
        ),
        migrations.AddField(
            model_name='page',
            name='date_modified',
            field=models.DateTimeField(
                default=django.utils.timezone.now,
                verbose_name='latest updated at', editable=False),
        ),
        migrations.AlterField(
            model_name='article',
            name='date_created',
            field=models.DateTimeField(
                auto_now_add=True, verbose_name='Erstellt'),
        ),
        migrations.AlterField(
            model_name='page',
            name='content_type',
            field=models.IntegerField(verbose_name='Inhaltstyp', choices=[
                (0, 'Django View'), (1, 'HTML'), (2, 'PDF')]),
        ),
        migrations.AlterField(
            model_name='page',
            name='path',
            field=models.CharField(
                verbose_name='Pfad', unique=True, max_length=255,
                editable=False, db_index=True),
        ),
        migrations.AlterField(
            model_name='page',
            name='slug',
            field=models.SlugField(
                help_text='The name of the page as it will appear in URLs e.g '
                          'http://domain.com/blog/[my-slug]/',
                max_length=100, verbose_name='Slug'),
        ),
        migrations.AlterField(
            model_name='page',
            name='template',
            field=models.CharField(
                default=b'content/page.html', max_length=255,
                verbose_name='Vorlage'),
        ),
        migrations.AlterField(
            model_name='page',
            name='title_de',
            field=models.CharField(
                help_text="The page title as you'd like it to be seen by the "
                          "public",
                max_length=255, verbose_name=b'Titel'),
        ),
        migrations.AlterField(
            model_name='page',
            name='title_en',
            field=models.CharField(
                help_text="The page title as you'd like it to be seen by the "
                          "public",
                max_length=255, verbose_name=b'Title', blank=True),
        ),
    ]
